GraphDatabaseSetting.DoubleSetting (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphdb.factory
Class GraphDatabaseSetting.DoubleSetting

    java.lang.Object
      org.neo4j.graphdb.factory.GraphDatabaseSetting<T>
          org.neo4j.graphdb.factory.GraphDatabaseSetting.NumberSetting<Double>
              org.neo4j.graphdb.factory.GraphDatabaseSetting.DoubleSetting

All Implemented Interfaces:
  Setting

Enclosing class:
  GraphDatabaseSetting<T>

Deprecated.

    @Deprecated
    public static class GraphDatabaseSetting.DoubleSetting

extends GraphDatabaseSetting.NumberSetting<Double>

This is deprecated, because it is going to be moved out of the public API. Please use `Setting` instead.

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting
`GraphDatabaseSetting.AbstractPathSetting, GraphDatabaseSetting.BaseOptionsSetting<ST>, GraphDatabaseSetting.BooleanSetting, GraphDatabaseSetting.DefaultValue, GraphDatabaseSetting.DirectorySetting, GraphDatabaseSetting.DoubleSetting, GraphDatabaseSetting.EnumerableSetting<ET extends Enum<ET>>, GraphDatabaseSetting.FileSetting, GraphDatabaseSetting.FloatSetting, GraphDatabaseSetting.IntegerRangeNumberOfBytesSetting, GraphDatabaseSetting.IntegerSetting, GraphDatabaseSetting.ListSetting<T>, GraphDatabaseSetting.LongSetting, GraphDatabaseSetting.NumberOfBytesSetting, GraphDatabaseSetting.NumberSetting<T extends Number>, GraphDatabaseSetting.OptionsSetting, GraphDatabaseSetting.PortSetting, GraphDatabaseSetting.StringSetting, GraphDatabaseSetting.TimeSpanSetting, GraphDatabaseSetting.URISetting`

Field Summary

Fields inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting.NumberSetting
`max, min`

Fields inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting
`ANY, DURATION, FALSE, SIZE, TRUE`

Constructor Summary
`GraphDatabaseSetting.DoubleSetting(String name, String formatMessage)` Deprecated.
`GraphDatabaseSetting.DoubleSetting(String name, String formatMessage, Double min, Double max)` Deprecated.

Method Summary
`void` | `validate(Locale locale, String value)` Deprecated. Validate a raw string value, called when configuration is set.
`Double` | `valueOf(String rawValue, Config config)` Deprecated. Create a typed value from a raw string value.

Methods inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting.NumberSetting
`getMax, getMin, rangeCheck, rangeCheck`

Methods inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting
`getMessage, illegalValue, illegalValue, illegalValue, name, osIsMacOS, osIsWindows, validate, validationMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphDatabaseSetting.DoubleSetting

    public GraphDatabaseSetting.DoubleSetting(String name,
                                              String formatMessage)

  Deprecated.

### GraphDatabaseSetting.DoubleSetting

    public GraphDatabaseSetting.DoubleSetting(String name,
                                              String formatMessage,
                                              Double min,
                                              Double max)

  Deprecated.

Method Detail

### validate

    public void validate(Locale locale,
                         String value)

  Deprecated.
  Description copied from class: `GraphDatabaseSetting`
  Validate a raw string value, called when configuration is set. Throws IllegalArgumentException if the provided value is not valid.

  Specified by:
    `validate` in class `GraphDatabaseSetting<Double>`

### valueOf

    public Double valueOf(String rawValue,
                          Config config)

  Deprecated.
  Description copied from class: `GraphDatabaseSetting`
  Create a typed value from a raw string value. This is to be called when a value is fetched from configuration.

  Specified by:
    `valueOf` in class `GraphDatabaseSetting<Double>`
  Parameters:
    `rawValue` - The raw string value stored in configuration
    `config` - The config instance, allows having config values that depend on each other.
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.